# Share Holding Pattern

This API retrieves the shareholding pattern for a given company, identified by its company code (`cocode`). It returns detailed information about the distribution of shares among different shareholder categories, including Domestic Institutional Investors & Mutual Funds (DIIMF), Foreign Institutional Investors (FII), insurance companies, mutual funds, promoters, and others, along with the total number of shares and record count for each period.

**Note:** `cocode` can be obtained from the Search Stock or Company Basic Detail API.

**Endpoint**

```
https://connects.torusdigital.com/api/v1/share-holding-pattern/{cocode}
```

**Request Parameter**

<table><thead><tr><th width="181">Name</th><th width="126">Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>cocode</td><td>Y</td><td>The unique company code identifier.</td></tr></tbody></table>

**Request**

{% tabs %}
{% tab title="curl" %}
{% code title="cURL" overflow="wrap" lineNumbers="true" %}

```javascript
curl -X 'GET' \
  'https://connects.torusdigital.com/api/v1/share-holding-pattern/{cocode}' \
  -H 'accept: application/json'
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code title="Java-Unirest" fullWidth="false" %}

```java
Unirest.setTimeouts(0, 0);
HttpResponse<String> response = Unirest.post("https://connects.torusdigital.com/api/v1/share-holding-pattern/{cocode}")
  .header("Content-Type", "application/json")
  .asString();
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code title="Go-Native" overflow="wrap" lineNumbers="true" fullWidth="true" %}

```go
package main

import (
	"fmt"
	"io/ioutil"
	"net/http"
	"strings"
)

func main() {
	url := "https://connects.torusdigital.com/api/v1/share-holding-pattern/{cocode}"
	method := "GET"

	client := &http.Client{}
	req, err := http.NewRequest(method, url, nil)

	if err != nil {
		fmt.Println(err)
		return
	}
	req.Header.Add("Content-Type", "application/json")

	res, err := client.Do(req)
	if err != nil {
		fmt.Println(err)
		return
	}
	defer res.Body.Close()

	body, err := ioutil.ReadAll(res.Body)
	if err != nil {
		fmt.Println(err)
		return
	}
	fmt.Println(string(body))
}
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code title="JavaScript-jQuery" overflow="wrap" lineNumbers="true" %}

```javascript
var settings = {
  "url": "https://connects.torusdigital.com/api/v1/share-holding-pattern/{cocode}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/json"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

```json
[
  {
    "DIIMFPer": 15.8476,
    "FIIPer": 21.2191,
    "insurancePer": 8.1716,
    "mutualFundsPer": 7.6474,
    "othersPer": 13.825500000000005,
    "promotersPer": 49.1078,
    "totalShares": 6766229014,
    "yearlyRecordCount": 202406
  },
  {
    "DIIMFPer": 15.5999,
    "FIIPer": 21.5285,
    "insurancePer": 8.2659,
    "mutualFundsPer": 7.3248,
    "othersPer": 13.762899999999993,
    "promotersPer": 49.1087,
    "totalShares": 6766109014,
    "yearlyRecordCount": 202403
  },
  {
    "DIIMFPer": 15.223400000000002,
    "FIIPer": 21.6136,
    "insurancePer": 8.3533,
    "mutualFundsPer": 6.8052,
    "othersPer": 14.054300000000008,
    "promotersPer": 49.1087,
    "totalShares": 6766109014,
    "yearlyRecordCount": 202312
  },
  {
    "DIIMFPer": 14.6889,
    "FIIPer": 22.0786,
    "insurancePer": 8.2178,
    "mutualFundsPer": 6.4056,
    "othersPer": 14.123800000000006,
    "promotersPer": 49.1087,
    "totalShares": 6766109014,
    "yearlyRecordCount": 202309
  }
]
```

**Response Parameter**

<table><thead><tr><th width="191">Parameters</th><th>Description</th></tr></thead><tbody><tr><td>DIIMFPer</td><td>Percentage of shares held by Domestic Institutional Investors and Mutual Funds.</td></tr><tr><td>FIIPer</td><td>Percentage of shares held by Foreign Institutional Investors (FII).</td></tr><tr><td>insurancePer</td><td>Percentage of shares held by insurance companies.</td></tr><tr><td>mutualFundsPer</td><td>Percentage of shares held by mutual funds.</td></tr><tr><td>othersPer</td><td>Percentage of shares held by other shareholders.</td></tr><tr><td>promotersPer</td><td>Percentage of shares held by company promoters.</td></tr><tr><td>totalShares</td><td>Total number of shares outstanding.</td></tr><tr><td>yearlyRecordCount</td><td>Unique record identifier for the year, showing the time period of the data record.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://heytorus.gitbook.io/historical-data/share-holding-pattern.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
